Use upstream pep8

Bug #1237489 reported by Adi Roiban on 2013-10-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pocket-lint
High
Adi Roiban

Bug Description

pep8.py module is distributed as port of pep8 package which is available on PyPy.

I have check the diff between upstream pep8.py and pocketling/contrib/pep8.py and I could not find any changes specific to pocketlint.

In case pep8 requires some changes to work with pocketlint, I think that it is better to work with upstream pep8 maintainer and change pep8 to allow custom report hooks. This change will be useful not only for pocket-lint, but for integrating pep8 in IDEs and other tools.

I will try to create a branch of pocket-lint which uses upstream pep8.

Please let me know what you think.

Thanks!

Related branches

Curtis Hovey (sinzui) on 2013-10-28
Changed in pocket-lint:
status: New → Fix Committed
importance: Undecided → High
milestone: none → 1.5.0
assignee: nobody → Adi Roiban (adiroiban)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers